<?php
/**
 * @package Iyosis Piwik for Joomla! 1.5
 * @author Remzi Degirmencioglu
 * @copyright (C) 2011 www.iyosis.com
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class IyosisPiwikControllerConfig extends IyosisPiwikController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();

	}
	function display()
	{
		JRequest::setVar( 'view', 'config' );
	        parent::display();
	}
	function save()
	{
		$model = $this->getModel('config');

		if ($model->store()) {
			$msg = JText::_( 'Saved!' );
		} else {
			$msg = JText::_( 'Error Saving' );
		}

		$this->setRedirect( 'index.php?option=com_iyosispiwik', $msg);
	}
	function cancel()
	{
		$msg = JText::_( 'Operation Cancelled' );
		$this->setRedirect( 'index.php?option=com_iyosispiwik', $msg );
	}
}
