<?php
/**
 * @package Iyosis Piwik for Joomla! 1.5
 * @author Remzi Degirmencioglu
 * @copyright (C) 2011 www.iyosis.com
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); ?>

<?php
// case error
if(!$this->getPageTitlesData) print("Error, content fetched"); ?>
<div class="widget">
	<div class="widgetTop"><div class="widgetName"><?php echo JText::_( 'Page Titles' ); ?></div><div class="widgetConf">(<?php echo $this->config->period.", ".$this->config->date ?>)</div></div>
	<div class="widgetContent">
		<table cellspacing="0" class="dataTable">
			<thead>
				<tr>
					<th id="label" class="sortable first label"><div id="thDIV"><?php echo JText::_( 'Page Name' ); ?></div></th>
					<th id="nb_visits" class="sortable last columnSorted"><div id="thDIV"><?php echo JText::_( 'Pageviews' ); ?></div></th>
					<?php if($this->config->period=='day') { ?><th id="nb_uniq_visitors" class="sortable last columnSorted"><div id="thDIV"><?php echo JText::_( 'Unique Pageviews' ); ?></div></th><?php } ?>
					<th id="bounce_rate" class="sortable last columnSorted"><div id="thDIV"><?php echo JText::_( 'Bounce Rate' ); ?></div></th>
					<th id="sum_time_spent" class="sortable last columnSorted"><div id="thDIV"><?php echo JText::_( 'Avg. time on page' ); ?></div></th>
					<th id="exit_rate" class="sortable last columnSorted"><div id="thDIV"><?php echo JText::_( 'Exit rate' ); ?></div></th>
				</tr>
			</thead>
			<tbody>
				<?php
				foreach($this->getPageTitlesData as $value)
				{
				$label = $value['label'];
				$visits = $value['nb_visits'];
				$uniq_visitors = $value['nb_uniq_visitors'];
				$bounce_rate = $value['bounce_rate'];
				$sum_time_spent = $value['sum_time_spent'];
				$exit_rate = $value['exit_rate'];
				if($this->config->period=='day'&&!$value['idsubdatatable']) {
					print("
					<tr class=\"subDataTable\">
						<td class=\"label labelodd\"><span class=\"label\">$label</span></td>
						<td class=\"columnodd\">$visits</td>
						<td class=\"columnodd\">$uniq_visitors</td>
						<td class=\"columnodd\">$bounce_rate</td>
						<td class=\"columnodd\">$sum_time_spent</td>
						<td class=\"columnodd\">$exit_rate</td>
					</tr>");
				} else if(!$value['idsubdatatable']) {
					print("
					<tr class=\"subDataTable\">
						<td class=\"label labelodd\"><span class=\"label\">$label</span></td>
						<td class=\"columnodd\">$visits</td>
						<td class=\"columnodd\">$bounce_rate</td>
						<td class=\"columnodd\">$sum_time_spent</td>
						<td class=\"columnodd\">$exit_rate</td>
					</tr>");
				}
				}
				?>
			</tbody>
		</table>
	</div>
</div>
